http://www.perlmonks.org?node_id=702778


in reply to XML::Simple -> XMLin() requires either XML::SAX or XML::Parser

  "XMLin() requires either XML::SAX or XML::Parser are /PerlApp/lib/Globals.pm"

That message makes no sense at all - I'd expect it to read more like:

  "XMLin() requires either XML::SAX or XML::Parser at <some module file name> line <line number>"

Anyway XML::Simple would die with the "XMLin() requires either XML::SAX or XML::Parser" message if neither XML::SAX nor XML::Parser could be loaded.

Do you have shell access to the server? Are either of those modules available?

Is there something different about the environment the web server runs in that would cause it to not be able to see the parser modules?